{: test a compilation error occurs when a rh paren is missing in an expression}

{$d+}
program e006( output );

var
   a  : integer;

begin {e006}

   { !!!   -------v------  missing ')' }
   if (a in [1..8]  or (a=16) then
      writeln( 'fails: missing '')'' error not detected' );

end. { e006 }

